Get Iam Component Auth Sources
Fetch Iam Component Auth Source. If no filterType and filterValue provided, returns all. If provided, fetch by filterType (VCF_COMPONENT, MANAGEMENT_COMPONENT, or VCF_INSTANCE) and corresponding filterValue. filterValue must be a valid UUID for VCF_COMPONENT and VCF_INSTANCE, or a valid ComponentType enum value for MANAGEMENT_COMPONENT.
Query filter for Iam Component Auth Sources. If no filterType and filterValue provided, returns all. If provided, filterValue must be a valid UUID for VCF_COMPONENT and VCF_INSTANCE, or a valid ComponentType enum value for MANAGEMENT_COMPONENT.
{
"filterField": "string",
"filterValue": "string"
}
Allowed fields to filter Auth Sources by
Value to filter by. Must be a valid UUID for VCF_COMPONENT and VCF_INSTANCE, or a valid ComponentType enum value for MANAGEMENT_COMPONENT
List of Iam Component Auth Sources
"{\n \"iamComponentAuthSources\" : [ {\n \"ssoRealmId\" : \"1131fe81-8dbd-4526-97e4-b2d3c2aa2a4f\",\n \"authSourceType\" : \"VCF_COMPONENT\",\n \"vcfComponentId\" : \"3d7f27d7-cb06-40c2-95f2-cc96d0aece59\",\n \"componentType\" : \"VCENTER\",\n \"vcfComponentResourceId\" : \"3d7f27d7-cb06-40c2-95f2-cc96d0aece59\",\n \"status\" : \"CONFIGURED\",\n \"createdAt\" : 196472893,\n \"updatedAt\" : 196472893\n }, {\n \"ssoRealmId\" : \"1131fe81-8dbd-4526-97e4-b2d3c2aa2a4f\",\n \"authSourceType\" : \"VCF_COMPONENT\",\n \"vcfComponentId\" : \"4d7f27d7-cb06-40c2-95f2-cc96d0aece59\",\n \"componentType\" : \"NSX_MANAGER\",\n \"vcfComponentResourceId\" : \"4d7f27d7-cb06-40c2-95f2-cc96d0aece59\",\n \"status\" : \"CONFIGURED\",\n \"createdAt\" : 123456789,\n \"updatedAt\" : 123456789\n }, {\n \"ssoRealmId\" : \"1131fe81-8dbd-4526-97e4-b2d3c2aa2a4f\",\n \"authSourceType\" : \"MANAGEMENT_COMPONENT\",\n \"componentType\" : \"VCF_OPERATIONS\",\n \"status\" : \"CONFIGURED\",\n \"createdAt\" : 123456789,\n \"updatedAt\" : 123456789\n } ]\n}"
IAM Component Auth Sources list
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/iam/components/auth-sources/query